package org.gcube.portlets.user.newsfeed.shared;

import java.io.Serializable;
import java.util.ArrayList;

import org.gcube.social_networking.socialnetworking.model.shared.EnhancedPost;

@SuppressWarnings("serial")
public class MorePostsBean implements Serializable {
	private int lastReturnedPostTimelineIndex;
	private ArrayList<EnhancedPost> posts;

	public MorePostsBean() {
		super();
	}
	
	public MorePostsBean(int lastReturnedFeedTimelineIndex,
			ArrayList<EnhancedPost> feeds) {
		super();
		this.lastReturnedPostTimelineIndex = lastReturnedFeedTimelineIndex;
		this.posts = feeds;
	}

	public int getLastReturnedFeedTimelineIndex() {
		return lastReturnedPostTimelineIndex;
	}
	public void setLastReturnedFeedTimelineIndex(int lastReturnedFeedTimelineIndex) {
		this.lastReturnedPostTimelineIndex = lastReturnedFeedTimelineIndex;
	}
	public ArrayList<EnhancedPost> getPosts() {
		return posts;
	}
	public void setPosts(ArrayList<EnhancedPost> posts) {
		this.posts = posts;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("MorePostsBean [lastReturnedPostTimelineIndex=");
		builder.append(lastReturnedPostTimelineIndex);
		builder.append(", posts=");
		builder.append(posts);
		builder.append("]");
		return builder.toString();
	}

	
	
	
}
